#include <stdio.h>
#include <string.h>
#include <stdbool.h>
#include<unistd.h>
#include "LibTestMain.h"
#include<sys/time.h>
#include <signal.h>
#include <stdlib.h>


/*
bool bIsOpen = false;
void my_handler2(int s)
{
	if(bIsOpen)
	{
		usleep(100000);
		printf("Caught signal %d, call CVR_CloseComm()\n",s);
		CVR_CloseComm();
		usleep(100000);
	}
	exit(0); 
}

int main()
{
	
	struct sigaction sigIntHandler;

	sigIntHandler.sa_handler = my_handler2;
	sigemptyset(&sigIntHandler.sa_mask);
	sigIntHandler.sa_flags = 0;
	
	sigaction(SIGINT, &sigIntHandler, NULL);
	
	//初始化
	//const char *cPath ="/dev/ttyS1";   //100D device path example
	const char *cPath ="/dev/ttyUSB0";  //100A device path example
		
	bool bTerminate = false;
	struct timeval timeStart;
	struct timeval timeEnd; 

	char strTemp[256] = {0x00};
	int strTempLen = sizeof(strTemp);

	while(!bTerminate)	//循环读卡
	{
		usleep(300000);

		int iRet = CVR_InitComm(cPath, 3);
		if(iRet != 1 && iRet != 2)
		{
			printf("CVR_InitComm failed, Ret = %d\n", iRet);
			continue;
		}
		bIsOpen = true;
		
		//读设备状态
		iRet = CVR_GetStatus();
		if(iRet != 1)
		{
			printf("CVR_GetStatus failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}

		gettimeofday(&timeStart, NULL);
		
		//卡认证
		iRet = CVR_Authenticate();
		if(iRet != 1)
		{
			//printf("CVR_Authenticate failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}


		//读卡
		//iRet = CVR_Read_FPContent(7);
		iRet = CVR_Read_Content(3);
		if(iRet != 1)
		{
			printf("CVR_Read_FPContent failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}

		gettimeofday(&timeEnd, NULL);
		int iTime;
		iTime = 1000 * (timeEnd.tv_sec - timeStart.tv_sec) + (timeEnd.tv_usec - timeStart.tv_usec)/1000;
		printf("read card time : %d ms\n", iTime);

		//获取卡类型
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetCertType((unsigned char*)strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetCertType failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}
		printf("Card Type:%d\n", strTemp[0]);

		//获取姓名
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleName(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleName failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}
		printf("People Name:%s\n", strTemp);

		//获取性别
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleSex(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleSex failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}
		printf("People Sex:%s\n", strTemp);
		
		//获取民族/国家地区
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleNation(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleNation failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}
		printf("People Nation:%s\n", strTemp);

		//获取头像照片
		unsigned char arrPhotoData[38862];
		int iPhotoDataLen = sizeof(arrPhotoData);
		iRet = GetBMPData(arrPhotoData, &iPhotoDataLen);
		if(iRet != 1)
		{
			printf("GetBMPData failed, Ret = %d\n", iRet);
			CVR_CloseComm();
			bIsOpen = false;
			continue;
		}
		
		FILE* fp_photo = fopen("./LibTestMainPhoto.bmp","wb+");
		if(fp_photo == NULL)
		{
			printf(" write  Photo error\n");
			CVR_CloseComm();
			bIsOpen = false;
			return -1;
		}
		fwrite(arrPhotoData, 1, iPhotoDataLen, fp_photo);
		fclose(fp_photo);

		CVR_CloseComm();
		bIsOpen = false;

	}		
	return 0;
}
*/

//注：如果调用了CVR_InitComm成功打开设备，程序结束前一定要调用CVR_CloseComm()函数，否则下次执行程序将会出错
void my_handler(int s)
{
	usleep(100000);
	printf("Caught signal %d, call CVR_CloseComm()\n",s);
	//CVR_CloseComm();
	int iRet = CVR_CloseComm();
	if(iRet != 1)
	{
		printf("CVR_CloseComm failed, Ret = %d\n", iRet);
	}
	usleep(100000);		//延时100ms 等待系统内部释放资源完成
	exit(0); 
}

//接口测试
int main()
{
	struct sigaction sigIntHandler;

	sigIntHandler.sa_handler = my_handler;
	sigemptyset(&sigIntHandler.sa_mask);
	sigIntHandler.sa_flags = 0;
	
	sigaction(SIGINT, &sigIntHandler, NULL);
	
	
	//初始化
	//const char *cPath ="/dev/ttyS1";   //100D
	const char *cPath ="/dev/ttyUSB0";  //100A
	//const char *cPath ="/dev/ttyAMA1";
	//int iRet = CVR_InitComm(cPath, 1);  //UART
	int iRet = CVR_InitComm(NULL, 2); //USB-OTG
	//int iRet = CVR_InitComm(NULL, 3); //USB-HID
	if(iRet != 1)
	{
		printf("CVR_InitComm failed, Ret = %d\n", iRet);
		return -1;
	}
	
	usleep(1000000);
	
	//读设备状态
	iRet = CVR_GetStatus();
	if(iRet != 1)
	{
		printf("CVR_GetStatus failed, Ret = %d\n", iRet);
		CVR_CloseComm();
		return -1;
	}
	printf("Device Status: OK\n");

	//读安全模块号
	char strTemp[256] = {0x00};
	int strTempLen = sizeof(strTemp);
	iRet = CVR_GetSAMID(strTemp, &strTempLen);
	if(iRet != 1)
	{
		printf("CVR_GetSAMID failed, Ret = %d\n", iRet);
	}
	else
	{	
		printf("SAMID:%s\n", strTemp);
	}
	
	bool bTerminate = false;
	struct timeval timeStart;
	struct timeval timeEnd; 

	while(!bTerminate)	//循环读卡
	{

		usleep(300000);

		gettimeofday(&timeStart, NULL);
		
		//卡认证
		iRet = CVR_Authenticate();
		if(iRet != 1)
		{
			//printf("CVR_Authenticate failed, Ret = %d\n", iRet);
			continue;
		}


		//读卡
		//iRet = CVR_Read_FPContent(7);
		iRet = CVR_Read_Content(3);
		if(iRet != 1)
		{
			printf("CVR_Read_FPContent failed, Ret = %d\n", iRet);
			continue;
		}

		gettimeofday(&timeEnd, NULL);
		int iTime;
		iTime = 1000 * (timeEnd.tv_sec - timeStart.tv_sec) + (timeEnd.tv_usec - timeStart.tv_usec)/1000;
		printf("read card time : %d ms\n", iTime);

		//获取卡类型
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetCertType((unsigned char*)strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetCertType failed, Ret = %d\n", iRet);
			continue;
		}
		printf("Card Type:%d\n", strTemp[0]);

		//获取姓名
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleName(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleName failed, Ret = %d\n", iRet);
			continue;
		}
		printf("People Name:%s\n", strTemp);

		//获取性别
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleSex(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleSex failed, Ret = %d\n", iRet);
			continue;
		}
		printf("People Sex:%s\n", strTemp);
		
		//获取民族/国家地区
		strTempLen = sizeof(strTemp);
		memset(strTemp, 0, strTempLen);
		iRet = GetPeopleNation(strTemp, &strTempLen);
		if(iRet != 1)
		{
			printf("GetPeopleNation failed, Ret = %d\n", iRet);
			continue;
		}
		printf("People Nation:%s\n", strTemp);

		//获取头像照片
		unsigned char arrPhotoData[38862];
		int iPhotoDataLen = sizeof(arrPhotoData);
		iRet = GetBMPData(arrPhotoData, &iPhotoDataLen);
		if(iRet != 1)
		{
			printf("GetBMPData failed, Ret = %d\n", iRet);
			continue;
		}
		
		FILE* fp_photo = fopen("./LibTestMainPhoto.bmp","wb+");
		if(fp_photo == NULL)
		{
			printf(" write  Photo error\n");
			return -1;
		}
		fwrite(arrPhotoData, 1, iPhotoDataLen, fp_photo);
		fclose(fp_photo);

	}		
	iRet = CVR_CloseComm();
	if(iRet != 1)
	{
		printf("CVR_CloseComm failed, Ret = %d\n", iRet);
	}
	return 0;
}


/*
//M1卡接口测试
int main()
{
	const char *cPath ="/dev/ttyUSB0";	//100A
	int iRet = CVR_InitComm(cPath, 1);	//UART
	if(iRet != 1)
	{
		printf("CVR_InitComm failed, Ret = %d\n", iRet);
		return -1;
	}

	//读设备状态
	iRet = CVR_GetStatus();
	if(iRet != 1)
	{
		printf("CVR_GetStatus failed, Ret = %d\n", iRet);
		CVR_CloseComm();
		return -1;
	}
	printf("Device Status: OK\n");

	//找卡选卡
	unsigned int SNR = 0;
	unsigned short TagType = 0;
	iRet = CVR_MF_HL_Request(0, &SNR, &TagType);
	if(iRet != 1)
	{
		printf("CVR_MF_HL_Request failed, Ret = %d\n", iRet);
		CVR_CloseComm();
		return -1;
	}
	printf("SNR = %x\n", SNR);
	printf("TagType = %x\n", TagType);

	//读M1卡
	unsigned char nKey[6] = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF};
	//unsigned char nKey[6] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
	unsigned char ReadBuff[16] = {0X00};
	unsigned int Readlength = sizeof(ReadBuff);
	iRet = CVR_MF_HL_Read(0, SNR, 1, nKey, ReadBuff, &Readlength);
	if(iRet != 1)
	{
		printf("CVR_MF_HL_Read failed, Ret = %d\n", iRet);
		CVR_CloseComm();
		return -1;
	}

	printf("read MF Data:");
	int i;
	for(i = 0; i < Readlength; i++)
	{
		printf("%02x ", ReadBuff[i]);
	}
	printf("\n");

	//写M1卡
	unsigned char WriteBuff[16] = {0X01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09, 0x0a, 0x0b, 0x0c, 0x0d, 0x0e, 0x0f, 0x10};
	unsigned int Writelength = sizeof(WriteBuff);
	iRet = CVR_MF_HL_Write(0, SNR, 1, nKey, WriteBuff, Writelength);
	if(iRet != 1)
	{
		printf("CVR_MF_HL_Write failed, Ret = %d\n", iRet);
		CVR_CloseComm();
		return -1;
	}

	printf("write Data success\n");

	CVR_CloseComm();
	return 0;

}
*/

/*
//CVR_AnalysisCardInfo接口测试
int main()
{
	unsigned char infoBuff[1295] =
	{0Xaa,0Xaa,0Xaa,0X96,0X69,0X05,0X08,0X00,0X00,0X90,0X01,0X00,0X04,0X00,0X20,0X5f,0Xa2,0X7e,0Xf6,0X53,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,\
	0X20,0X00,0X20,0X00,0X32,0X00,0X30,0X00,0X31,0X00,0X31,0X00,0X39,0X00,0X38,0X00,0X38,0X00,0X31,0X00,0X31,0X00,0X31,0X00,0X38,0X00,0Xb3,0X6c,0X17,0X53,0X01,0X77,0Xaf,0X90,0Xf8,0X90,0X02,0X5e,0X34,0X4e,\
	0X33,0X6f,0Xbf,0X53,0Xf0,0X79,0Xfe,0X52,0X47,0X95,0Xf0,0X79,0Xfe,0X52,0X1c,0X4e,0X51,0X67,0X0d,0X59,0X74,0X51,0Xef,0X8d,0X32,0X00,0X35,0X00,0Xf7,0X53,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,\
	0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X31,0X00,0X33,0X00,0X30,0X00,0X34,0X00,0X32,0X00,0X33,0X00,0X31,0X00,0X39,0X00,0X38,0X00,0X38,0X00,0X31,0X00,0X31,0X00,\
	0X31,0X00,0X38,0X00,0X34,0X00,0X33,0X00,0X32,0X00,0X38,0X00,0X34,0X4e,0X33,0X6f,0Xbf,0X53,0X6c,0X51,0X89,0X5b,0X40,0X5c,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,\
	0X20,0X00,0X32,0X00,0X30,0X00,0X31,0X00,0X31,0X00,0X30,0X00,0X33,0X00,0X33,0X00,0X30,0X00,0X32,0X00,0X30,0X00,0X32,0X00,0X31,0X00,0X30,0X00,0X33,0X00,0X33,0X00,0X30,0X00,0X20,0X00,0X20,0X00,0X20,0X00,\
	0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X20,0X00,0X57,0X4c,0X66,0X00,0X7e,0X00,0X32,0X00,0X00,0Xff,\
	0X85,0X1f,0X51,0X51,0X51,0X3e,0X71,0X0d,0Xd5,0X64,0Xf3,0Xd3,0X83,0Xea,0X72,0X37,0Xa5,0Xba,0X62,0X99,0Xbb,0Xb7,0Xb9,0Xa6,0Xf8,0X6e,0Xb4,0Xe1,0X7e,0X41,0X5d,0X2d,0X09,0X6f,0Xe3,0X1d,0Xd8,0X86,0X16,0Xfa,\
	0X13,0X8f,0Xb6,0Xc8,0Xf1,0Xcf,0X68,0X40,0X4d,0X08,0X53,0X40,0X4f,0X7f,0X4e,0X3b,0X02,0Xa6,0X23,0Xb2,0Xdf,0X04,0Xcf,0Xb0,0X02,0X9e,0X9e,0X32,0X0d,0Xf9,0Xf8,0X34,0X97,0X51,0X8a,0Xa8,0X9f,0X3a,0X5e,0X87,\
	0X43,0X51,0Xae,0Xd4,0X52,0X51,0X51,0X5a,0X3e,0X80,0X27,0X10,0Xd7,0Xce,0Xe3,0X34,0X1a,0X8c,0X88,0Xa8,0X6a,0X43,0X38,0Xd4,0Xd2,0X77,0X9b,0X07,0X66,0Xb3,0X01,0X16,0Xef,0X17,0X6a,0X8f,0X2b,0X3d,0Xa3,0X2c,\
	0Xee,0Xa0,0X5a,0X76,0X8d,0Xdd,0X80,0X85,0X3e,0X45,0Xd6,0Xb4,0X9a,0X09,0X6b,0Xae,0X51,0X33,0Xb4,0X4a,0Xf8,0X09,0X1f,0Xb8,0X92,0Xd9,0X12,0X55,0Xc8,0X11,0Xc9,0X2c,0Xe5,0X79,0X9b,0X1c,0X09,0X46,0X4b,0X84,\
	0Xfa,0X63,0Xd7,0Xa5,0Xca,0X2e,0X94,0Xf2,0X20,0Xcb,0X75,0X06,0Xc8,0X09,0X1d,0Xf5,0X65,0X8a,0X84,0X43,0X17,0Xc3,0X8e,0X8e,0X3b,0X1f,0X61,0Xe2,0Xfa,0Xb6,0X3e,0Xd4,0X50,0Xca,0X13,0Xf5,0Xa8,0X44,0X36,0X17,\
	0X1f,0X26,0X38,0X04,0X8e,0Xb4,0X24,0Xd8,0X5e,0Xdc,0Xfb,0X71,0X5b,0Xd0,0X34,0X94,0Xb7,0X5a,0X2c,0X5d,0X6c,0X16,0Xfb,0X0b,0X5a,0X5c,0X46,0Xc0,0Xcf,0Xdd,0Xd2,0X77,0X9e,0Xcf,0X23,0X74,0X03,0Xab,0X09,0Xd9,\
	0X35,0X71,0X0d,0Xf7,0X6a,0X0d,0X45,0X22,0X2d,0X26,0X61,0X5a,0X30,0Xbd,0X18,0X3f,0Xd7,0Xef,0X77,0Xc4,0X30,0X32,0X6f,0X9d,0Xcf,0X21,0Xb4,0Xb8,0X04,0X22,0X2b,0X08,0X2a,0Xd2,0X12,0X57,0X66,0Xfa,0X44,0X22,\
	0Xb0,0X16,0Xb0,0X9a,0Xcf,0Xf9,0X96,0X13,0X4b,0X30,0X11,0Xfa,0Xcf,0Xbd,0X83,0Xe5,0X1d,0X98,0Xfa,0X57,0Xa7,0Xba,0X64,0X08,0Xb0,0X78,0X7c,0X18,0Xbc,0X7a,0X81,0X89,0X9c,0X03,0X80,0Xce,0Xe1,0Xdc,0X05,0X61,\
	0X06,0X39,0Xc7,0X66,0Xa8,0X62,0X62,0Xf7,0X95,0X26,0X8c,0X5f,0Xcf,0X3e,0Xc2,0X0c,0X97,0Xd3,0X65,0X99,0X85,0X20,0Xd7,0X93,0Xbc,0X2f,0X6a,0X6a,0Xba,0Xab,0Xbc,0X72,0X92,0X75,0X10,0X31,0X24,0X6f,0Xdd,0Xbc,\
	0Xb7,0X32,0X7a,0X07,0Xc7,0X2e,0X91,0X9e,0X45,0Xe6,0X40,0X05,0Xc8,0X50,0Xc1,0X2e,0Xa9,0X76,0X47,0X4e,0X8f,0X23,0X0c,0Xe7,0Xb1,0Xd6,0X1c,0X98,0X9c,0X1a,0X40,0Xb5,0X2a,0Xbd,0X9c,0X9f,0Xb6,0Xea,0Xcc,0Xc7,\
	0X90,0Xae,0X51,0Xec,0X35,0X40,0X20,0X0f,0X43,0Xb5,0X42,0X3b,0Xce,0X71,0X08,0X94,0Xa3,0Xa6,0X20,0X02,0Xce,0Xe4,0Xf8,0X9b,0X2a,0X86,0Xa2,0Xa3,0Xcf,0X31,0Xce,0X4e,0Xf3,0X1f,0X7a,0X85,0X67,0X34,0X07,0Xbf,\
	0Xf7,0Xe7,0Xfb,0X46,0X22,0X7f,0X3f,0Xa8,0X03,0X35,0Xac,0X90,0Xa5,0Xba,0Xf7,0Xd4,0Xaa,0X62,0Xc0,0X38,0Xcf,0Xbc,0X8e,0Xd7,0X56,0X4f,0X0f,0X7b,0X18,0X07,0X0e,0X79,0X17,0X33,0Xd3,0Xf7,0Xc1,0Xbe,0X02,0Xae,\
	0X51,0X0f,0X74,0X98,0Xd6,0Xd5,0X43,0X21,0X80,0Xaa,0Xdb,0X32,0X3e,0X55,0Xdc,0X4e,0X48,0Xdd,0X91,0X31,0X64,0X27,0X66,0Xd3,0X08,0X9e,0X76,0X44,0Xc6,0X99,0X04,0X92,0X6e,0Xff,0Xd3,0Xc2,0Xcc,0Xb9,0Xcd,0X6d,\
	0X51,0Xaa,0X6e,0Xfc,0Xb5,0Xce,0X40,0Xad,0X12,0X46,0X94,0X3f,0X58,0X45,0X44,0X80,0X6a,0X48,0Xb1,0Xb5,0Xc4,0X28,0X5a,0Xb0,0Xf0,0X41,0X13,0X0a,0X24,0X22,0X8b,0Xb8,0X15,0X55,0X05,0Xc7,0X1f,0Xfd,0Xb1,0X73,\
	0X5d,0Xbe,0Xc9,0X42,0X7e,0X46,0X84,0Xcb,0Xe5,0X0d,0Xc3,0X63,0X7c,0Xe9,0Xaa,0X4c,0X99,0Xba,0Xbf,0Xec,0X58,0Xa1,0X48,0X89,0Xa0,0Xc0,0X69,0X05,0X2d,0Xdf,0X36,0X76,0Xc6,0Xab,0Xce,0X58,0Xfd,0X63,0X29,0X13,\
	0Xd5,0Xfe,0X91,0Xef,0X8d,0X35,0X5a,0X12,0X81,0Xe6,0Xbf,0X1c,0X1d,0X98,0Xb4,0X3b,0X61,0X6d,0X17,0X1c,0Xaf,0Xf5,0X84,0Xed,0X4e,0X79,0X86,0X19,0X46,0X20,0X4c,0X74,0X57,0X0b,0X12,0X50,0X7a,0X3b,0Xce,0X26,\
	0Xa6,0Xb3,0Xf1,0Xe5,0X2d,0X6f,0Xba,0X14,0X3e,0Xdf,0Xce,0X24,0X32,0X6b,0X68,0Xa8,0X74,0Xc8,0Xc1,0X87,0Xd8,0X8d,0X4e,0Xab,0Xab,0X96,0Xcf,0Xf7,0X16,0X5f,0Xde,0X7b,0X03,0X86,0X06,0Xfe,0X0d,0Xd0,0X39,0X9e,\
	0X9f,0X0c,0X8f,0Xe8,0X62,0X1b,0X60,0X79,0Xb0,0X5b,0X58,0Xfc,0X07,0Xa3,0X3c,0X90,0Xd0,0X0d,0X20,0X1d,0Xad,0Xd6,0X41,0Xd6,0X03,0X55,0Xe4,0X8d,0X54,0X24,0X47,0X07,0X88,0X89,0X17,0X3a,0X15,0X2f,0X02,0X90,\
	0Xa1,0Xbc,0Xcc,0X7f,0X5b,0Xbe,0Xbe,0X3a,0Xad,0X32,0Xe8,0X7f,0X75,0Xfc,0X0d,0Xe1,0X2f,0Xb5,0X71,0X8b,0X5a,0X1a,0X26,0X2b,0X49,0Xfd,0X8e,0X61,0Xca,0X9c,0X22,0X13,0X42,0X1a,0Xc2,0X37,0Xb8,0Xe3,0X34,0Xcf,\
	0X89,0X56,0Xe3,0X40,0Xb4,0X22,0X85,0X6e,0X57,0Xb6,0X15,0Xba,0X9c,0Xf4,0Xbb,0Xae,0X51,0Xbf,0Xd3,0Xd8,0Xb4,0X15,0Xc6,0X7a,0X5e,0Xd3,0X81,0Xe7,0X0a,0X2e,0X38,0Xc4,0X72,0X4d,0X28,0X69,0X58,0Xdf,0X57,0X66,\
	0X51,0Xc4,0X77,0Xdb,0Xc8,0X64,0Xaa,0X2b,0X28,0Xf8,0X6a,0Xba,0Xa2,0X55,0X75,0X24,0X4a,0X29,0Xaf,0X76,0X42,0Xbc,0Xdd,0X05,0X6c,0Xc8,0X00,0X7f,0Xa7,0X2b,0X58,0X74,0X8d,0X70,0X58,0Xe4,0Xcc,0Xaf,0Xc2,0Xa1,\
	0X3e,0X4f,0Xbf,0Xd8,0Xdf,0X95,0X23,0X85,0Xf7,0X2f,0Xfb,0Xe1,0X72,0Xd3,0Xce,0Xaf,0X79,0X65,0X52,0X5a,0X3e,0X09,0X68,0X7f,0X68,0Xe1,0X4b,0Xea,0X2b,0Xf7,0Xc7,0Xf0,0Xae,0X51,0X85,0Xda,0Xaa,0X89,0X06,0X66,\
	0X68,0Xfc,0X7f,0Xc3,0X0c,0Xa1,0X55,0X81,0X50,0X81,0Xeb,0Xfb,0Xfe,0X95,0Xdd,0X90,0X5e,0Xb8,0X82,0Xa6,0Xb8,0Xd4,0X67,0X51,0X5b,0X44,0Xd8,0X42,0Xf9,0X29,0Xfd,0Xac,0X49,0X20,0X87,0Xb4,0X1b,0Xa0,0X2a,0Xb5,\
	0X7e,0X41,0X53,0X65,0X63,0Xf0,0X0a,0Xf1,0Xf4,0Xee,0X37,0X51,0X0b,0X21,0X05,0X66,0X95,0Xce,0Xe7,0Xa0,0X5a,0X3e,0Xc2,0Xf2,0X00,0X92,0X50,0Xac,0Xe9,0X0f,0X02,0Xef,0Xf6,0X99,0X5c,0X65,0X97,0Xaf,0X1a,0X5d,\
	0X86,0Xb4,0X57,0X4a,0Xf9,0X49,0X81,0Xa5,0Xc9,0X3c,0X5a,0Xbe,0Xbf,0X9e,0Xdb,0X86,0Xc5,0X93,0X62,0X0a,0Xff,0Xeb,0X55,0X81,0X76,0X73,0X99,0Xf5,0Xcf,0X9b,0X8b,0X95,0X7e,0Xcc,0X01,0X64,0Xa6,0X37,0X03,0X5a,\
	0X72,0X67,0Xf2,0X18,0X41,0Xa5,0X8e,0X93,0X76,0X05,0X0b,0X80,0X74,0Xe4,0X52};

	int iRet = CVR_AnalysisCardInfo(infoBuff, 1295);
	if(iRet != 1)
	{
		printf("CVR_AnalysisCardInfo, Ret = %d\n", iRet);
		return -1;
	}

	char strTemp[256] = {0x00};
	int strTempLen = sizeof(strTemp);
	
	//获取卡类型
	strTempLen = sizeof(strTemp);
	memset(strTemp, 0, strTempLen);
	iRet = GetCertType((unsigned char*)strTemp, &strTempLen);
	if(iRet != 1)
	{
		printf("GetCertType failed, Ret = %d\n", iRet);
		return -1;
		
	}
	printf("Card Type:%d\n", strTemp[0]);

	//获取姓名
	strTempLen = sizeof(strTemp);
	memset(strTemp, 0, strTempLen);
	iRet = GetPeopleName(strTemp, &strTempLen);
	if(iRet != 1)
	{
		printf("GetPeopleName failed, Ret = %d\n", iRet);
		return -1;
	}
	printf("People Name:%s\n", strTemp);

	//获取性别
	strTempLen = sizeof(strTemp);
	memset(strTemp, 0, strTempLen);
	iRet = GetPeopleSex(strTemp, &strTempLen);
	if(iRet != 1)
	{
		printf("GetPeopleSex failed, Ret = %d\n", iRet);
		return -1;
	}
	printf("People Sex:%s\n", strTemp);
	
	//获取民族/国家地区
	strTempLen = sizeof(strTemp);
	memset(strTemp, 0, strTempLen);
	iRet = GetPeopleNation(strTemp, &strTempLen);
	if(iRet != 1)
	{
		printf("GetPeopleNation failed, Ret = %d\n", iRet);
		return -1;
	}
	printf("People Nation:%s\n", strTemp);

	//获取头像照片
	unsigned char arrPhotoData[38862];
	int iPhotoDataLen = sizeof(arrPhotoData);
	iRet = GetBMPData(arrPhotoData, &iPhotoDataLen);
	if(iRet != 1)
	{
		printf("GetBMPData failed, Ret = %d\n", iRet);
		return -1;
	}
	
	FILE* fp_photo = fopen("./LibTestMainPhoto.bmp","wb+");
	if(fp_photo == NULL)
	{
		printf(" write  Photo error\n");
		return -1;
	}
	fwrite(arrPhotoData, 1, iPhotoDataLen, fp_photo);
	fclose(fp_photo);

	return 0;
}
*/
